org.apache.olingo.odata2.ref.model

## Class DataContainer

- java.lang.Object
- - org.apache.olingo.odata2.ref.model.DataContainer

-     public class DataContainer
      extends Object

  Container and initialization code for the data objects of the reference scenario.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataContainer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Building` | `createBuilding()`
    `Employee` | `createEmployee()`
    `Manager` | `createManager()`
    `Photo` | `createPhoto(String type)`
    `Room` | `createRoom()`
    `Team` | `createTeam()`
    `List<Building>` | `getBuildings()`
    `List<Employee>` | `getEmployees()`
    `List<Manager>` | `getManagers()`
    `List<Photo>` | `getPhotos()`
    `List<Room>` | `getRooms()`
    `List<Team>` | `getTeams()`
    `void` | `init()`
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataContainer

          public DataContainer()

  - ### Method Detail

    - #### init

          public void init()

    - #### createEmployee

          public Employee createEmployee()

    - #### createTeam

          public Team createTeam()

    - #### createRoom

          public Room createRoom()

    - #### createManager

          public Manager createManager()

    - #### createBuilding

          public Building createBuilding()

    - #### createPhoto

          public Photo createPhoto(String type)

    - #### getEmployees

          public List<Employee> getEmployees()

    - #### getTeams

          public List<Team> getTeams()

    - #### getRooms

          public List<Room> getRooms()

    - #### getManagers

          public List<Manager> getManagers()

    - #### getBuildings

          public List<Building> getBuildings()

    - #### getPhotos

          public List<Photo> getPhotos()

    - #### reset

          public void reset()

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.